{ buildPackages, ports }:
with ports; {

  gpt_write.portInputs = [ jitterentropy ];

  init.patches = [ ./sandbox.patch ];

  input_filter.patches = [ ./input_filter.patch ];

  intel_fb_drv = {
    BOARD = "pc";
    portInputs = [ dde_linux ];
  };

  libc.portInputs = [ libc ];

  lighttpd.portInputs = [ libc lighttpd openssl zlib ];

  noux.portInputs = [ libc ];

  posix.portInputs = [ libc ];

  rump = {
    portInputs = [ dde_rump ];
    buildInputs = with buildPackages; [ zlib ];
  };

  # The following are tests that never exit
  # and have no conventions on log output.

  "test-pci".patches = [ ./test-pci.patch ];

  "test-signal".patches = [ ./test-signal.patch ];

  "test-vmm_x86".patches = [ ./test-vmm_x86.patch ];

  usb_drv.portInputs = [ dde_linux ];

  vbox5 = {
    nativeBuildInputs = with buildPackages; [ iasl yasm ];
    patches = [ ./vbox5-iasl.patch ];
    portInputs = [ libc libiconv qemu-usb stdcxx virtualbox5 ];
  };

  vesa_drv.portInputs = [ libc x86emu ];

  vfs.outputs = [ "out" "lib" ];

  vfs_jitterentropy.portInputs = [ jitterentropy libc ];
  vfs_lwip.portInputs = [ lwip ];
  vfs_ttf.portInputs = [ libc stb ];

  wifi_drv.portInputs = [ dde_linux libc openssl ];

}
