# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup }:
stdenv.mkDerivation rec {
  pname = "nic_bus";
  version = "2.0";

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/nic_bus";
    rev = "e4e7c5f4af7d6129f64afb019045c40508a619ee";
    sha256 = "0hxzdkl1w47gha395bx8ykv8ic62chs75ccyyqq841pwghqxscj4";
  };

  nativeBuildInputs = [ tup ];

  installPhase = "install -Dm755 {.,$out}/${pname}";

  meta = with stdenv.lib; {
    license = licenses.agpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
