# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, buildPackages, ... }:
with pkgs;

testEnv.mkTest {
  name = "block_router";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./block_router.dhall;
  testInputs =
    map pkgs.genodeSources.depot [ "part_block" "ram_block" "test-block" ]
    ++ [ pkgs.block_router ];
  testScript = ''
    catch { exec dd if=/dev/zero of=gpt.raw bs=512 count=7168 }
    exec ${buildPackages.gptfdisk}/bin/sgdisk -o -n 3:2048:4095 -c 3:first-test-partition -n 31:4096:6143 --typecode=31:24b69406-18a1-428d-908e-d21a1437122c gpt.raw

    run_genode_until {Tests finished successfully.*\n.*Tests finished successfully.*\n} 120
  '';
}
