-- SPDX-License-Identifier: CC0-1.0

let Test = ./test.dhall ? env:DHALL_GENODE_TEST

let Genode = Test.Genode

let Child = Genode.Init.Child

in  Test::{
    , children = toMap
        { noux =
            Child.flat
              Child.Attributes::{
              , binary = "noux"
              , exitPropagate = True
              , resources = Genode.Init.Resources::{
                , caps = 500
                , ram = Genode.units.MiB 10
                }
              , config = Genode.Init.Config::{
                , attributes = toMap
                    { stdin = "/script"
                    , stdout = "/dev/log"
                    , stderr = "/dev/log"
                    }
                , content =
                  [ Genode.Prelude.XML.text
                      ''
                      <fstab>
                      	<tar name="bash-minimal.tar" />
                      	<dir name="dev"> <log/> <null/> <zero/> </dir>
                      	<dir name="tmp"> <ram /> </dir>
                      <inline name="script">
                      echo "hello world"
                      </inline>
                      </fstab>
                      <start name="/bin/bash">
                      	<env name="TERM" value="screen" />
                      </start>
                      ''
                  ]
                }
              }
        }
    }
