-- SPDX-License-Identifier: CC0-1.0

let Test = ./test.dhall ? env:DHALL_GENODE_TEST

let Genode = Test.Genode

let Init = Genode.Init

let Child = Init.Child

let vmm =
      Child.flat
        Child.Attributes::{
        , binary = "test-vmm_x86"
        , resources = Init.Resources::{
          , caps = 2048
          , ram = Genode.units.MiB 256
          }
        , routes = [ Genode.Init.ServiceRoute.parent "VM" ]
        }

in  Test::{ children = toMap { vmm = vmm } }
